LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Debian (http://www.linuxquestions.org/questions/debian-26/)
-   -   trying to upgrade lenny to squeeze (http://www.linuxquestions.org/questions/debian-26/trying-to-upgrade-lenny-to-squeeze-861990/)

keymoo 02-11-2011 03:12 AM

trying to upgrade lenny to squeeze
 
Hi,

I live in Swizterland and am using a Swiss mirror. I want to upgrade my Lenny installation to Squeeze and am following this guide: http://www.debian.org/releases/squee...rading.en.html

My /etc/apt/sources.list looks like this:

Code:

deb http://debian.csg.uzh.ch/debian/ squeeze main
deb-src http://debian.csg.uzh.ch/debian/ squeeze main

deb http://security.debian.org/ squeeze/updates main contrib
deb-src http://security.debian.org/ squeeze/updates main contrib

deb http://volatile.debian.org/debian-volatile squeeze/volatile main contrib
deb-src http://volatile.debian.org/debian-volatile squeeze/volatile main contrib

I have simply searched and replaced for lenny and replaced with squeeze. When I do an apt-get update after the search and replace I get these results (with errors):

Code:

Get: 1 http://debian.csg.uzh.ch squeeze Release.gpg [1671B]
Ign http://debian.csg.uzh.ch squeeze/main Translation-en_GB
Get: 2 http://security.debian.org squeeze/updates Release.gpg [835B]
Get: 3 http://debian.csg.uzh.ch squeeze Release [69.3kB]
Ign http://security.debian.org squeeze/updates/main Translation-en_GB
Ign http://volatile.debian.org squeeze/volatile Release.gpg
Ign http://security.debian.org squeeze/updates/contrib Translation-en_GB
Get: 4 http://security.debian.org squeeze/updates Release [38.4kB]
Ign http://volatile.debian.org squeeze/volatile/main Translation-en_GB
Get: 5 http://debian.csg.uzh.ch squeeze/main Packages [8602kB]
Get: 6 http://security.debian.org squeeze/updates/main Packages [66.9kB]
Ign http://volatile.debian.org squeeze/volatile/contrib Translation-en_GB
Get: 7 http://security.debian.org squeeze/updates/contrib Packages [20B]
Get: 8 http://security.debian.org squeeze/updates/main Sources [10.0kB]
Get: 9 http://security.debian.org squeeze/updates/contrib Sources [20B]
Ign http://volatile.debian.org squeeze/volatile Release
Ign http://volatile.debian.org squeeze/volatile/main Packages
Ign http://volatile.debian.org squeeze/volatile/contrib Packages
Ign http://volatile.debian.org squeeze/volatile/main Sources
Get: 10 http://debian.csg.uzh.ch squeeze/main Sources [4822kB]
Ign http://volatile.debian.org squeeze/volatile/contrib Sources
Err http://volatile.debian.org squeeze/volatile/main Packages
  404 Not Found [IP: 128.31.0.51 80]
Err http://volatile.debian.org squeeze/volatile/contrib Packages
  404 Not Found [IP: 128.31.0.51 80]
Err http://volatile.debian.org squeeze/volatile/main Sources
  404 Not Found [IP: 128.31.0.51 80]
Err http://volatile.debian.org squeeze/volatile/contrib Sources
  404 Not Found [IP: 128.31.0.51 80]
Fetched 13.6MB in 1s (7049kB/s)
W: Failed to fetch http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/main/binary-amd64/Packages  404 Not Found [IP: 128.31.0.51 80]

W: Failed to fetch http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/contrib/binary-amd64/Packages  404 Not Found [IP: 128.31.0.51 80]

W: Failed to fetch http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/main/source/Sources  404 Not Found [IP: 128.31.0.51 80]

W: Failed to fetch http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/contrib/source/Sources  404 Not Found [IP: 128.31.0.51 80]

E: Some index files failed to download, they have been ignored, or old ones used instead.

Any ideas as to what I'm doing wrong?

Thanks.

arochester 02-11-2011 03:21 AM

Squeeze is now "stable". I would remove:
Quote:

deb http://volatile.debian.org/debian-volatile squeeze/volatile main contrib
deb-src http://volatile.debian.org/debian-volatile squeeze/volatile main contrib

TobiSGD 02-11-2011 04:10 AM

The volatile-repository has been replaced. Replace squeeze/volatile in your entries in /etc/apt/sources.list with squeeze-updates and try it again.

qrange 02-11-2011 04:26 AM

I'd replace it with 'testing' so that when they change name again you don't have to do anything.

j1alu 02-11-2011 04:31 AM

Quote:

Originally Posted by qrange (Post 4254907)
I'd replace it with 'testing' so that when they change name again you don't have to do anything.

Not completely correct. You don't have to do anything assuming you don't run into an unwanted and unprepared upgrade and have to clean up the mess.

Besides that it hasn't got much to do with the actual problem.

Heck, you have confused me.
Besides that Squeeze is not testing.

/me shakes his head.

qrange 02-11-2011 04:41 AM

but squeeze used to be testing?
I assumed he wanted to move from stable to testing

redgoblin 02-11-2011 05:45 AM

Quote:

Originally Posted by qrange (Post 4254922)
but squeeze used to be testing?
I assumed he wanted to move from stable to testing

Easy enough mistake to make. He was on Lenny when it was stable and would not like to upgrade to Squeeze *because* it's become stable.

Volatile was always a part of Debian stable. It allows the updating of packages that change frequently without effecting the stable archive. However, it has been discontinued for Squeeze since it became stable.

See this announcement.


All times are GMT -5. The time now is 02:11 PM.